package com.acme.structure.exception.main;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;

public class UnknownExpressionException extends InfrastructureException
{
    public UnknownExpressionException()
    {
        this("Unknown expression");
    }

    public UnknownExpressionException(String expression)
    {
        exceptionCode = "23";
        exceptionType = ApplicationException.EXCEPTION_TYPE_ERROR;

        setReason(expression);
    }

}
